Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSParticipant Class Reference

Base interface object representing a participant on a conference call. More...

`#import <CSParticipant.h>`

Inherits NSObject.

Inherited by CSActiveParticipant, CSDroppedParticipant, CSMessagingParticipant, and CSPendingParticipant.

## Instance Methods
(instancetype) | - initWithParticipantId:
(CSContact *) | - bestContactMatch
| Return best possible contact match. More...
(NSDictionary *) | - allPossibleContactMatches
| Return all possible contact matches with level of matching. More...
(void) | - sendPrivateChatMessage:completionHandler:
| Sends private message to this participant. More...

## Properties
id< CSParticipantDelegate > | delegate
| The delegate used to handle participant events, common to all participant subclasses. More...
NSString * | displayName
| Participant's network provided display name, as known to the conferencing system. More...
NSString * | address
| Participant's network-provided address, as known to the conferencing system. More...
BOOL | localUser
| Whether the participant is the local user. More...
NSString * | participantId
| Unique identification of the participant. More...

## Detailed Description

Base interface object representing a participant on a conference call.

## Method Documentation

- (NSDictionary *) allPossibleContactMatches |  |  |

Return all possible contact matches with level of matching.

Key is the enum of level matching, values is the list of matched contacts Return emply dictionary if there is no match.

Deprecated:
  THIS SELECTOR WILL BE REMOVED IN RELEASE VERSION 3.3. It is recommended to use the resolveContacts: (CSContactService) method instead.

- (CSContact *) bestContactMatch |  |  |

Return best possible contact match.

if no match is found, a nil is returned.

Deprecated:
  THIS SELECTOR WILL BE REMOVED IN RELEASE VERSION 3.3. It is recommended to use the resolveContacts: (CSContactService) method instead.

- (instancetype) initWithParticipantId: |  | (NSString *) | participantId |

- (void) sendPrivateChatMessage: |  | (NSString *) | message
completionHandler: |  | (void(^)(NSError *error)) | handler

Sends private message to this participant.

Parameters

  message | Message to be sent.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

## Property Documentation

- (NSString*) address
| read nonatomic assign

Participant's network-provided address, as known to the conferencing system.

- (id<CSParticipantDelegate>) delegate
| read write nonatomic weak

The delegate used to handle participant events, common to all participant subclasses.

- (NSString*) displayName
| read nonatomic assign

Participant's network provided display name, as known to the conferencing system.

- (BOOL) localUser
| read nonatomic assign

Whether the participant is the local user.

- (NSString*) participantId
| read nonatomic assign

Unique identification of the participant.

The documentation for this class was generated from the following file:

- CSParticipant.h